<?xml version="1.0" encoding="UTF-8"?>

<!-- generated on Sun May 31 11:53:37 2020 by Eclipse SUMO netedit Version 1.5.0
<configuration xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://sumo.dlr.de/xsd/netconvertConfiguration.xsd">

    <input>
        <sumo-net-file value="poc.net.xml"/>
    </input>

    <output>
        <output-file value="poc.net.xml"/>
    </output>

    <processing>
        <geometry.min-radius.fix.railways value="false"/>
        <geometry.max-grade.fix value="false"/>
        <offset.disable-normalization value="true"/>
        <lefthand value="false"/>
    </processing>

    <junctions>
        <no-turnarounds value="true"/>
        <junctions.corner-detail value="5"/>
        <junctions.limit-turn-speed value="5.5"/>
        <rectangular-lane-cut value="false"/>
    </junctions>

    <pedestrian>
        <walkingareas value="false"/>
    </pedestrian>

    <report>
        <aggregate-warnings value="5"/>
    </report>

</configuration>
-->

<net version="1.3" junctionCornerDetail="5" limitTurnSpeed="5.50" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://sumo.dlr.de/xsd/net_file.xsd">

    <location netOffset="0.00,0.00" convBoundary="-250.00,-250.00,250.00,250.00" origBoundary="-10000000000.00,-10000000000.00,10000000000.00,10000000000.00" projParameter="!"/>

    <edge id=":0_0" function="internal">
        <lane id=":0_0_0" index="0" speed="6.51" length="9.03" shape="-4.80,13.60 -5.15,11.15 -6.20,9.40 -7.95,8.35 -10.40,8.00"/>
    </edge>
    <edge id=":0_1" function="internal">
        <lane id=":0_1_0" index="0" speed="13.89" length="27.20" shape="-4.80,13.60 -4.80,-13.60"/>
        <lane id=":0_1_1" index="1" speed="13.89" length="27.20" shape="-1.60,13.60 -1.60,-13.60"/>
    </edge>
    <edge id=":0_3" function="internal">
        <lane id=":0_3_0" index="0" speed="9.84" length="8.68" shape="-1.60,13.60 -0.85,6.95 0.00,5.16"/>
    </edge>
    <edge id=":0_18" function="internal">
        <lane id=":0_18_0" index="0" speed="9.84" length="13.32" shape="0.00,5.16 1.40,2.20 5.15,-0.65 10.40,-1.60"/>
    </edge>
    <edge id=":0_4" function="internal">
        <lane id=":0_4_0" index="0" speed="6.51" length="9.03" shape="10.40,8.00 7.95,8.35 6.20,9.40 5.15,11.15 4.80,13.60"/>
    </edge>
    <edge id=":0_5" function="internal">
        <lane id=":0_5_0" index="0" speed="13.89" length="20.80" shape="10.40,8.00 -10.40,8.00"/>
        <lane id=":0_5_1" index="1" speed="13.89" length="20.80" shape="10.40,4.80 -10.40,4.80"/>
        <lane id=":0_5_2" index="2" speed="13.89" length="20.80" shape="10.40,1.60 -10.40,1.60"/>
    </edge>
    <edge id=":0_8" function="internal">
        <lane id=":0_8_0" index="0" speed="9.84" length="6.41" shape="10.40,1.60 5.15,0.65 4.29,0.00"/>
    </edge>
    <edge id=":0_19" function="internal">
        <lane id=":0_19_0" index="0" speed="9.84" length="15.58" shape="4.29,0.00 1.40,-2.20 -0.85,-6.95 -1.60,-13.60"/>
    </edge>
    <edge id=":0_9" function="internal">
        <lane id=":0_9_0" index="0" speed="6.51" length="9.03" shape="4.80,-13.60 5.15,-11.15 6.20,-9.40 7.95,-8.35 10.40,-8.00"/>
    </edge>
    <edge id=":0_10" function="internal">
        <lane id=":0_10_0" index="0" speed="13.89" length="27.20" shape="4.80,-13.60 4.80,13.60"/>
        <lane id=":0_10_1" index="1" speed="13.89" length="27.20" shape="1.60,-13.60 1.60,13.60"/>
    </edge>
    <edge id=":0_12" function="internal">
        <lane id=":0_12_0" index="0" speed="9.84" length="8.68" shape="1.60,-13.60 0.85,-6.95 -0.00,-5.16"/>
    </edge>
    <edge id=":0_20" function="internal">
        <lane id=":0_20_0" index="0" speed="9.84" length="13.32" shape="-0.00,-5.16 -1.40,-2.20 -5.15,0.65 -10.40,1.60"/>
    </edge>
    <edge id=":0_13" function="internal">
        <lane id=":0_13_0" index="0" speed="6.51" length="9.03" shape="-10.40,-8.00 -7.95,-8.35 -6.20,-9.40 -5.15,-11.15 -4.80,-13.60"/>
    </edge>
    <edge id=":0_14" function="internal">
        <lane id=":0_14_0" index="0" speed="13.89" length="20.80" shape="-10.40,-8.00 10.40,-8.00"/>
        <lane id=":0_14_1" index="1" speed="13.89" length="20.80" shape="-10.40,-4.80 10.40,-4.80"/>
        <lane id=":0_14_2" index="2" speed="13.89" length="20.80" shape="-10.40,-1.60 10.40,-1.60"/>
    </edge>
    <edge id=":0_17" function="internal">
        <lane id=":0_17_0" index="0" speed="9.84" length="6.41" shape="-10.40,-1.60 -5.15,-0.65 -4.29,-0.00"/>
    </edge>
    <edge id=":0_21" function="internal">
        <lane id=":0_21_0" index="0" speed="9.84" length="15.58" shape="-4.29,-0.00 -1.40,2.20 0.85,6.95 1.60,13.60"/>
    </edge>
    <edge id=":gneJ6_0" function="internal">
        <lane id=":gneJ6_0_0" index="0" speed="3.65" length="4.67" shape="250.00,-1.60 251.20,-0.80 251.60,0.00 251.20,0.80 250.00,1.60"/>
    </edge>

    <edge id="EastBottom" from="0" to="gneJ6" priority="-1">
        <lane id="EastBottom_0" index="0" speed="13.89" length="239.60" shape="10.40,-8.00 250.00,-8.00"/>
        <lane id="EastBottom_1" index="1" speed="13.89" length="239.60" shape="10.40,-4.80 250.00,-4.80"/>
        <lane id="EastBottom_2" index="2" speed="13.89" length="239.60" shape="10.40,-1.60 250.00,-1.60"/>
    </edge>
    <edge id="EastTop" from="gneJ6" to="0" priority="-1">
        <lane id="EastTop_0" index="0" speed="13.89" length="239.60" shape="250.00,8.00 10.40,8.00"/>
        <lane id="EastTop_1" index="1" speed="13.89" length="239.60" shape="250.00,4.80 10.40,4.80"/>
        <lane id="EastTop_2" index="2" speed="13.89" length="239.60" shape="250.00,1.60 10.40,1.60"/>
    </edge>
    <edge id="NorthLeft" from="gneJ10" to="0" priority="-1">
        <lane id="NorthLeft_0" index="0" speed="13.89" length="236.40" shape="-4.80,250.00 -4.80,13.60"/>
        <lane id="NorthLeft_1" index="1" speed="13.89" length="236.40" shape="-1.60,250.00 -1.60,13.60"/>
    </edge>
    <edge id="NorthRight" from="0" to="gneJ10" priority="-1">
        <lane id="NorthRight_0" index="0" speed="13.89" length="236.40" shape="4.80,13.60 4.80,250.00"/>
        <lane id="NorthRight_1" index="1" speed="13.89" length="236.40" shape="1.60,13.60 1.60,250.00"/>
    </edge>
    <edge id="SouthLeft" from="0" to="gneJ8" priority="-1">
        <lane id="SouthLeft_0" index="0" speed="13.89" length="236.40" shape="-4.80,-13.60 -4.80,-250.00"/>
        <lane id="SouthLeft_1" index="1" speed="13.89" length="236.40" shape="-1.60,-13.60 -1.60,-250.00"/>
    </edge>
    <edge id="SouthRight" from="gneJ8" to="0" priority="-1">
        <lane id="SouthRight_0" index="0" speed="13.89" length="236.40" shape="4.80,-250.00 4.80,-13.60"/>
        <lane id="SouthRight_1" index="1" speed="13.89" length="236.40" shape="1.60,-250.00 1.60,-13.60"/>
    </edge>
    <edge id="WestBottom" from="gneJ4" to="0" priority="-1">
        <lane id="WestBottom_0" index="0" speed="13.89" length="239.60" shape="-250.00,-8.00 -10.40,-8.00"/>
        <lane id="WestBottom_1" index="1" speed="13.89" length="239.60" shape="-250.00,-4.80 -10.40,-4.80"/>
        <lane id="WestBottom_2" index="2" speed="13.89" length="239.60" shape="-250.00,-1.60 -10.40,-1.60"/>
    </edge>
    <edge id="WestTop" from="0" to="gneJ4" priority="-1">
        <lane id="WestTop_0" index="0" speed="13.89" length="239.60" shape="-10.40,8.00 -250.00,8.00"/>
        <lane id="WestTop_1" index="1" speed="13.89" length="239.60" shape="-10.40,4.80 -250.00,4.80"/>
        <lane id="WestTop_2" index="2" speed="13.89" length="239.60" shape="-10.40,1.60 -250.00,1.60"/>
    </edge>

    <tlLogic id="0" type="static" programID="0" offset="0">
        <phase duration="42" state="GrrrGGGgGGrrrGGGgG"/>
        <phase duration="3"  state="yrrryyyyyyrrryyyyy"/>
        <phase duration="42" state="GGGgrrrrrGGGgrrrrr"/>
        <phase duration="3"  state="yyyyrrrrryyyyrrrrr"/>
    </tlLogic>

    <junction id="gneJ10" type="dead_end" x="0.00" y="250.00" incLanes="NorthRight_0 NorthRight_1" intLanes="" shape="0.00,250.00 6.40,250.00 0.00,250.00"/>
    <junction id="gneJ4" type="dead_end" x="-250.00" y="0.00" incLanes="WestTop_0 WestTop_1 WestTop_2" intLanes="" shape="-250.00,0.00 -250.00,9.60 -250.00,0.00"/>
    <junction id="0" type="traffic_light" x="0.00" y="0.00" incLanes="NorthLeft_0 NorthLeft_1 EastTop_0 EastTop_1 EastTop_2 SouthRight_0 SouthRight_1 WestBottom_0 WestBottom_1 WestBottom_2" intLanes=":0_0_0 :0_1_0 :0_1_1 :0_18_0 :0_4_0 :0_5_0 :0_5_1 :0_5_2 :0_19_0 :0_9_0 :0_10_0 :0_10_1 :0_20_0 :0_13_0 :0_14_0 :0_14_1 :0_14_2 :0_21_0" shape="-6.40,13.60 6.40,13.60 6.84,11.38 7.40,10.60 8.18,10.04 9.18,9.71 10.40,9.60 10.40,-9.60 8.18,-10.04 7.40,-10.60 6.84,-11.38 6.51,-12.38 6.40,-13.60 -6.40,-13.60 -6.84,-11.38 -7.40,-10.60 -8.18,-10.04 -9.18,-9.71 -10.40,-9.60 -10.40,9.60 -8.18,10.04 -7.40,10.60 -6.84,11.38 -6.51,12.38">
        <request index="0"  response="000000000011100000" foes="000000000011100000" cont="0"/>
        <request index="1"  response="111110000111100000" foes="111111000111100000" cont="0"/>
        <request index="2"  response="111110000111100000" foes="111111000111100000" cont="0"/>
        <request index="3"  response="111100110111100000" foes="111100110111100000" cont="1"/>
        <request index="4"  response="000000000000000000" foes="000000110000000000" cont="0"/>
        <request index="5"  response="000001000000001000" foes="100001110000001111" cont="0"/>
        <request index="6"  response="000001000000001000" foes="100001110000001111" cont="0"/>
        <request index="7"  response="000001000000001000" foes="100001110000001111" cont="0"/>
        <request index="8"  response="011101000000001000" foes="011101110000001110" cont="1"/>
        <request index="9"  response="011100000000000000" foes="011100000000000000" cont="0"/>
        <request index="10" response="111100000111110000" foes="111100000111111000" cont="0"/>
        <request index="11" response="111100000111110000" foes="111100000111111000" cont="0"/>
        <request index="12" response="111100000111100110" foes="111100000111100110" cont="1"/>
        <request index="13" response="000000000000000000" foes="000000000000000110" cont="0"/>
        <request index="14" response="000001000000001000" foes="000001111100001110" cont="0"/>
        <request index="15" response="000001000000001000" foes="000001111100001110" cont="0"/>
        <request index="16" response="000001000000001000" foes="000001111100001110" cont="0"/>
        <request index="17" response="000001000011101000" foes="000001110011101110" cont="1"/>
    </junction>
    <junction id="gneJ6" type="priority" x="250.00" y="0.00" incLanes="EastBottom_0 EastBottom_1 EastBottom_2" intLanes=":gneJ6_0_0" shape="250.00,0.00 250.00,-9.60 250.00,0.00">
        <request index="0" response="0" foes="0" cont="0"/>
    </junction>
    <junction id="gneJ8" type="dead_end" x="0.00" y="-250.00" incLanes="SouthLeft_0 SouthLeft_1" intLanes="" shape="0.00,-250.00 -6.40,-250.00 0.00,-250.00"/>

    <junction id=":0_18_0" type="internal" x="0.00" y="5.16" incLanes=":0_3_0 SouthRight_0 SouthRight_1" intLanes=":0_5_0 :0_5_1 :0_5_2 :0_8_0 :0_9_0 :0_10_0 :0_10_1 :0_14_0 :0_14_1 :0_14_2 :0_17_0"/>
    <junction id=":0_19_0" type="internal" x="4.29" y="0.00" incLanes=":0_8_0 WestBottom_0 WestBottom_1 WestBottom_2" intLanes=":0_1_0 :0_1_1 :0_3_0 :0_10_0 :0_10_1 :0_12_0 :0_13_0 :0_14_0 :0_14_1 :0_14_2"/>
    <junction id=":0_20_0" type="internal" x="-0.00" y="-5.16" incLanes=":0_12_0 NorthLeft_0 NorthLeft_1" intLanes=":0_0_0 :0_1_0 :0_1_1 :0_5_0 :0_5_1 :0_5_2 :0_8_0 :0_14_0 :0_14_1 :0_14_2 :0_17_0"/>
    <junction id=":0_21_0" type="internal" x="-4.29" y="-0.00" incLanes=":0_17_0 EastTop_0 EastTop_1 EastTop_2" intLanes=":0_1_0 :0_1_1 :0_3_0 :0_4_0 :0_5_0 :0_5_1 :0_5_2 :0_10_0 :0_10_1 :0_12_0"/>

    <connection from="EastBottom" to="EastTop" fromLane="2" toLane="2" via=":gneJ6_0_0" dir="t" state="M"/>
    <connection from="EastTop" to="NorthRight" fromLane="0" toLane="0" via=":0_4_0" tl="0" linkIndex="4" dir="r" state="O"/>
    <connection from="EastTop" to="WestTop" fromLane="0" toLane="0" via=":0_5_0" tl="0" linkIndex="5" dir="s" state="O"/>
    <connection from="EastTop" to="WestTop" fromLane="1" toLane="1" via=":0_5_1" tl="0" linkIndex="6" dir="s" state="O"/>
    <connection from="EastTop" to="WestTop" fromLane="2" toLane="2" via=":0_5_2" tl="0" linkIndex="8" dir="s" state="O"/>
    <connection from="EastTop" to="SouthLeft" fromLane="2" toLane="1" via=":0_8_0" tl="0" linkIndex="7" dir="l" state="o"/>
    <connection from="NorthLeft" to="WestTop" fromLane="0" toLane="0" via=":0_0_0" tl="0" linkIndex="0" dir="r" state="o"/>
    <connection from="NorthLeft" to="SouthLeft" fromLane="0" toLane="0" via=":0_1_0" tl="0" linkIndex="1" dir="s" state="o"/>
    <connection from="NorthLeft" to="SouthLeft" fromLane="1" toLane="1" via=":0_1_1" tl="0" linkIndex="2" dir="s" state="o"/>
    <connection from="NorthLeft" to="EastBottom" fromLane="1" toLane="2" via=":0_3_0" tl="0" linkIndex="3" dir="l" state="o"/>
    <connection from="SouthRight" to="EastBottom" fromLane="0" toLane="0" via=":0_9_0" tl="0" linkIndex="9" dir="r" state="o"/>
    <connection from="SouthRight" to="NorthRight" fromLane="0" toLane="0" via=":0_10_0" tl="0" linkIndex="10" dir="s" state="o"/>
    <connection from="SouthRight" to="NorthRight" fromLane="1" toLane="1" via=":0_10_1" tl="0" linkIndex="11" dir="s" state="o"/>
    <connection from="SouthRight" to="WestTop" fromLane="1" toLane="2" via=":0_12_0" tl="0" linkIndex="12" dir="l" state="o"/>
    <connection from="WestBottom" to="SouthLeft" fromLane="0" toLane="0" via=":0_13_0" tl="0" linkIndex="13" dir="r" state="O"/>
    <connection from="WestBottom" to="EastBottom" fromLane="0" toLane="0" via=":0_14_0" tl="0" linkIndex="14" dir="s" state="O"/>
    <connection from="WestBottom" to="EastBottom" fromLane="1" toLane="1" via=":0_14_1" tl="0" linkIndex="15" dir="s" state="O"/>
    <connection from="WestBottom" to="EastBottom" fromLane="2" toLane="2" via=":0_14_2" tl="0" linkIndex="17" dir="s" state="O"/>
    <connection from="WestBottom" to="NorthRight" fromLane="2" toLane="1" via=":0_17_0" tl="0" linkIndex="16" dir="l" state="o"/>

    <connection from=":0_0" to="WestTop" fromLane="0" toLane="0" dir="r" state="M"/>
    <connection from=":0_1" to="SouthLeft" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":0_1" to="SouthLeft" fromLane="1" toLane="1" dir="s" state="M"/>
    <connection from=":0_3" to="EastBottom" fromLane="0" toLane="2" via=":0_18_0" dir="l" state="m"/>
    <connection from=":0_18" to="EastBottom" fromLane="0" toLane="2" dir="l" state="M"/>
    <connection from=":0_4" to="NorthRight" fromLane="0" toLane="0" dir="r" state="M"/>
    <connection from=":0_5" to="WestTop" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":0_5" to="WestTop" fromLane="1" toLane="1" dir="s" state="M"/>
    <connection from=":0_5" to="WestTop" fromLane="2" toLane="2" dir="s" state="M"/>
    <connection from=":0_8" to="SouthLeft" fromLane="0" toLane="1" via=":0_19_0" dir="l" state="m"/>
    <connection from=":0_19" to="SouthLeft" fromLane="0" toLane="1" dir="l" state="M"/>
    <connection from=":0_9" to="EastBottom" fromLane="0" toLane="0" dir="r" state="M"/>
    <connection from=":0_10" to="NorthRight" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":0_10" to="NorthRight" fromLane="1" toLane="1" dir="s" state="M"/>
    <connection from=":0_12" to="WestTop" fromLane="0" toLane="2" via=":0_20_0" dir="l" state="m"/>
    <connection from=":0_20" to="WestTop" fromLane="0" toLane="2" dir="l" state="M"/>
    <connection from=":0_13" to="SouthLeft" fromLane="0" toLane="0" dir="r" state="M"/>
    <connection from=":0_14" to="EastBottom" fromLane="0" toLane="0" dir="s" state="M"/>
    <connection from=":0_14" to="EastBottom" fromLane="1" toLane="1" dir="s" state="M"/>
    <connection from=":0_14" to="EastBottom" fromLane="2" toLane="2" dir="s" state="M"/>
    <connection from=":0_17" to="NorthRight" fromLane="0" toLane="1" via=":0_21_0" dir="l" state="m"/>
    <connection from=":0_21" to="NorthRight" fromLane="0" toLane="1" dir="l" state="M"/>
    <connection from=":gneJ6_0" to="EastTop" fromLane="0" toLane="2" dir="t" state="M"/>

</net>
